Package com.sap.ai.sdk.grounding.model

# Class GoogleDriveResourceDetail

java.lang.Object
com.sap.ai.sdk.grounding.model.GoogleDriveResourceDetail

public class GoogleDriveResourceDetail extends Object
GoogleDriveResourceDetail

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GoogleDriveResourceDetail.ResourceTypeEnum`
  Gets or Sets resourceType

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GoogleDriveResourceDetail()`
  Default constructor for GoogleDriveResourceDetail.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GoogleDriveResourceDetail`
  `addIncludePathsItem(String includePathsItem)`
  Add one includePaths instance to this `GoogleDriveResourceDetail`.
  `static GoogleDriveResourceDetail`
  `create()`
  Create a new `GoogleDriveResourceDetail` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `GoogleDriveResourceDetail`.
  `List<String>`
  `getIncludePaths()`
  Get includePaths
  `String`
  `getResourceId()`
  Get resourceId
  `GoogleDriveResourceDetail.ResourceTypeEnum`
  `getResourceType()`
  Get resourceType
  `int`
  `hashCode()`
  `GoogleDriveResourceDetail`
  `includePaths(List<String> includePaths)`
  Set the includePaths of this `GoogleDriveResourceDetail` instance and return the same instance.
  `GoogleDriveResourceDetail`
  `resourceId(String resourceId)`
  Set the resourceId of this `GoogleDriveResourceDetail` instance and return the same instance.
  `GoogleDriveResourceDetail`
  `resourceType(GoogleDriveResourceDetail.ResourceTypeEnum resourceType)`
  Set the resourceType of this `GoogleDriveResourceDetail` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `GoogleDriveResourceDetail` instance.
  `void`
  `setIncludePaths(List<String> includePaths)`
  Set the includePaths of this `GoogleDriveResourceDetail` instance.
  `void`
  `setResourceId(String resourceId)`
  Set the resourceId of this `GoogleDriveResourceDetail` instance.
  `void`
  `setResourceType(GoogleDriveResourceDetail.ResourceTypeEnum resourceType)`
  Set the resourceType of this `GoogleDriveResourceDetail` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `GoogleDriveResourceDetail` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GoogleDriveResourceDetail

    protected GoogleDriveResourceDetail()
    Default constructor for GoogleDriveResourceDetail.

- ## Method Details

  - ### resourceType

    @Nonnull public GoogleDriveResourceDetail resourceType(@Nullable GoogleDriveResourceDetail.ResourceTypeEnum resourceType)
    Set the resourceType of this `GoogleDriveResourceDetail` instance and return the same instance.
    Parameters:
      `resourceType` - The resourceType of this `GoogleDriveResourceDetail`
    Returns:
      The same instance of this `GoogleDriveResourceDetail` class

  - ### getResourceType

    @Nonnull public GoogleDriveResourceDetail.ResourceTypeEnum getResourceType()
    Get resourceType
    Returns:
      resourceType The resourceType of this `GoogleDriveResourceDetail` instance.

  - ### setResourceType

    public void setResourceType(@Nullable GoogleDriveResourceDetail.ResourceTypeEnum resourceType)
    Set the resourceType of this `GoogleDriveResourceDetail` instance.
    Parameters:
      `resourceType` - The resourceType of this `GoogleDriveResourceDetail`

  - ### resourceId

    @Nonnull public GoogleDriveResourceDetail resourceId(@Nullable String resourceId)
    Set the resourceId of this `GoogleDriveResourceDetail` instance and return the same instance.
    Parameters:
      `resourceId` - The resourceId of this `GoogleDriveResourceDetail`
    Returns:
      The same instance of this `GoogleDriveResourceDetail` class

  - ### getResourceId

    @Nonnull public String getResourceId()
    Get resourceId
    Returns:
      resourceId The resourceId of this `GoogleDriveResourceDetail` instance.

  - ### setResourceId

    public void setResourceId(@Nullable String resourceId)
    Set the resourceId of this `GoogleDriveResourceDetail` instance.
    Parameters:
      `resourceId` - The resourceId of this `GoogleDriveResourceDetail`

  - ### includePaths

    @Nonnull public GoogleDriveResourceDetail includePaths(@Nullable List<String> includePaths)
    Set the includePaths of this `GoogleDriveResourceDetail` instance and return the same instance.
    Parameters:
      `includePaths` - The includePaths of this `GoogleDriveResourceDetail`
    Returns:
      The same instance of this `GoogleDriveResourceDetail` class

  - ### addIncludePathsItem

    @Nonnull public GoogleDriveResourceDetail addIncludePathsItem(@Nonnull String includePathsItem)
    Add one includePaths instance to this `GoogleDriveResourceDetail`.
    Parameters:
      `includePathsItem` - The includePaths that should be added
    Returns:
      The same instance of type `GoogleDriveResourceDetail`

  - ### getIncludePaths

    @Nonnull public List<String> getIncludePaths()
    Get includePaths
    Returns:
      includePaths The includePaths of this `GoogleDriveResourceDetail` instance.

  - ### setIncludePaths

    public void setIncludePaths(@Nullable List<String> includePaths)
    Set the includePaths of this `GoogleDriveResourceDetail` instance.
    Parameters:
      `includePaths` - The includePaths of this `GoogleDriveResourceDetail`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `GoogleDriveResourceDetail`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `GoogleDriveResourceDetail` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `GoogleDriveResourceDetail` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `GoogleDriveResourceDetail` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static GoogleDriveResourceDetail create()
    Create a new `GoogleDriveResourceDetail` instance. No arguments are required.